<!-- resources/views/tasks/edit.blade.php -->
<h1>Edit Task</h1>

<form action="{{ route('tasks.update', $task->id) }}" method="POST">
    @csrf
    @method('PUT')
    <label for="title">Title:</label>
    <input type="text" id="title" name="title" value="{{ $task->title }}">
    @error('title')
        <div>{{ $message }}</div>
    @enderror

    <label for="description">Description:</label>
    <textarea id="description" name="description">{{ $task->description }}</textarea>

    <label for="due_date">Due Date:</label>
    <input type="date" id="due_date" name="due_date" value="{{ $task->due_date }}">
    @error('due_date')
        <div>{{ $message }}</div>
    @enderror

    <button type="submit">Update</button>
</form>
