<!-- resources/views/tasks/index.blade.php -->
@extends('layouts.app')
<h1>Tasks</h1>

<a href="{{ route('tasks.create') }}" class="btn btn-primary">Create Task</a>

<ul>
    @foreach ($tasks as $task)
        <li>
            {{ $task->title }} - {{ $task->due_date }}
            <a href="{{ route('tasks.edit', $task->id) }}">Edit</a>
            <form action="{{ route('tasks.destroy', $task->id) }}" method="POST">
                @csrf
                @method('DELETE')
                <button type="submit">Delete</button>
            </form>
        </li>
    @endforeach
</ul>
