<!-- resources/views/tasks/create.blade.php -->
@extends('layouts.app')
<h1>Create Task</h1>

<form action="{{ route('tasks.store') }}" method="POST">
    @csrf
    <label for="title">Title:</label>
    <input type="text" id="title" name="title">
    @error('title')
        <div>{{ $message }}</div>
    @enderror

    <label for="description">Description:</label>
    <textarea id="description" name="description"></textarea>

    <label for="due_date">Due Date:</label>
    <input type="date" id="due_date" name="due_date">
    @error('due_date')
        <div>{{ $message }}</div>
    @enderror

    <button type="submit">Create</button>
</form>
